package com.sonic.pigeon.lib.enums;

import lombok.Getter;

@Getter
public enum ImMessageTypeEnum {
    //IM发送礼物
    IM_SEND_GIFT("I'm sending you %s %s gift"),
    //心动等级升级
    HEARTBEAT_LEVEL_UP("Unlocked \"%s\" title"),
    //心动等级降级
    HEARTBEAT_LEVEL_DOWN("Lost \"%s\" title"),
    //语音聊天情绪打分
    VOICE_CHAT_EMOTION_SCORE(""),
    //余额不足
    INSUFFICIENT_BALANCE("Insufficient balance"),
    //语音通话结束
    CALL("Voice call"),
    //发送图片
    IMAGE(""),

    ;

    private final String content;

    ImMessageTypeEnum(String content) {
        this.content = content;
    }
}
